Transaction Status

This callback is triggered by Decentro to a custom end-point of the platform for each incoming and outgoing transaction initiated through Decentro, once it reaches its terminal status.

🙌

Important Note

Please use only Staging Credentials on each API Reference page to test the APIs directly from our Documentation.

API Endpoints

EnvironmentEndpoint
Staging / Sandboxhttps://your.custom.endpoint.com
Productionhttps://your.custom.endpoint.com

Via this callback, it is possible to get realtime updates to the initiated transactions' statuses.

Salient points:

  • Maximum 3 attempts to post the callback, post which the explicit Get status call has to be made for obtaining the transaction status.
  • It is mandatory to adhere to the response structure as specified in the examples.
  • It is recommended that you whitelist Decentro's originating IP.
  • It is recommended that you share your auth of preference with us, which will then be propagated as part of the callback request.
  • Callbacks will be triggered only in case of terminal statuses (failure or success) and not while the transaction is pending.
  • BeneficiaryName and bankReferenceNumber will be present only when Decentro's banking partners respond accordingly.
  • The keys in the request will be in snake/ camel case based on the company configuration (defaulting to camel case if nothing opted). Response, however, has to be in snake case always.
Body Params
int32
required
date-time
required

Timestamp of the CALLBACK. Not the transaction itself.

string
required
string
required
string
required

The status of the transaction. Values passed: success, failure, expired

string
required

The referenceId passed at the time of transaction initiation. Passed only if the transaction is initiated through Decentro

string
required

The decentroTxnId passed at the time of transaction initiation. Passed only if the transaction is initiated through Decentro

string
string

Values that are passed are NEFT, RTGS, IMPS, UPI

string

The unique transaction reference number from the bank partner

string
float
required
string

The response received for the transaction from the bank partner

string

A unique transaction id generated by NPCI for each transaction.

string

It indicates the entity due to which the transaction failed. Available only in failure callback

string

This value will indicate if a transaction is refund. Eg: Type = "UPI_REFUND"

Headers
string

The header token shared by you should not contain any unsanitized values like @ # $ % ^ & * ! ; : ' " ~ ` ? = + ) (

string

The header token shared by you should not contain any unsanitized values like @ # $ % ^ & * ! ; : ' " ~ ` ? = + ) (

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json